/**
 * 
 */
package com.b510.scanFiles.dao.impl;

import com.b510.scanFiles.dao.ScanFiles;
import com.b510.scanFiles.utils.CommonUtil;
import com.b510.scanFiles.utils.PrintUtil;

/**
 * @author Hongten
 * @created Feb 12, 2014
 */
public class ScanProxy implements ScanFiles {

	private ScanFiles scanDelegate;

	public ScanProxy(ScanFiles scanDelegate) {
		this.scanDelegate = scanDelegate;
	}

	public int scan(String[] inputs) {
		scanFiles(inputs);
		return 0;
	}

	public void handleCD(String[] inputs) {
		PrintUtil.printInfo(CommonUtil.BOUNDARY);
		long startTime = System.currentTimeMillis();
		scanDelegate.handleCD(inputs);
		long entTime = System.currentTimeMillis();
		PrintUtil.printInfo(CommonUtil.BOUNDARY);
		PrintUtil.printInfo(CommonUtil.SPEND + (entTime - startTime) + CommonUtil.MS);
	}

	public void scanFiles(String[] inputs) {
		scanDelegate.scanFiles(inputs);
	}

}
