/**
 * 
 */
package com.b510.scanFiles.factory;

import com.b510.scanFiles.dao.ScanFiles;
import com.b510.scanFiles.dao.impl.ScanDelegate;
import com.b510.scanFiles.dao.impl.ScanProxy;

/**
 * The factory of the static proxy
 * @author Hongten
 * @created Feb 12, 2014
 */
public class ScanFilesFactory {

	public static ScanFiles getInstance(String[] inputs){
		return new ScanProxy(new ScanDelegate(inputs));
	}
}
